- [HTTP request](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.request_body)
- [Response body](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.response_body)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.ListGbpAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#body.aspect)
- [GbpAccount](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#GbpAccount)
  - [JSON representation](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#GbpAccount.SCHEMA_REPRESENTATION)
- [Type](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#Type)
- [Try it!](https://developers.google.com/merchant/api/reference/rest/accounts_v1/accounts.gbpAccounts/list.md.txt#try-it)

List the GBP accounts for a given merchant.

### HTTP request

`GET https://merchantapi.googleapis.com/accounts/v1/{parent=accounts/*}/gbpAccounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the parent resource under which the GBP accounts are listed. Format: `accounts/{account}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of `GbpAccount` resources to return. The service returns fewer than this value if the number of gbp accounts is less that than the `pageSize`. The default value is 50. The maximum value is 1000; If a value higher than the maximum is specified, then the `pageSize` will default to the maximum. |
| `pageToken` | `string` Optional. A page token, received from a previous `gbpAccounts.list` call. Provide the page token to retrieve the subsequent page. When paginating, all other parameters provided to `gbpAccounts.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for the gbpAccounts.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "gbpAccounts": [ { object (`GbpAccount`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `gbpAccounts[]` | ``object (`GbpAccount`)`` The GBP accounts from the specified merchant in the specified country. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## GbpAccount

Collection of information related to a Google Business Profile (GBP) account.

For more information, see [Link a Google business profile](https://developers.google.com/merchant/api/guides/accounts/link-business-profile.md.txt).

| JSON representation |
|---|
| ``` { "name": string, "gbpAccountId": string, "type": enum (`Type`), "gbpAccountName": string, "listingCount": string } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. The resource name of the GBP account. Format: `accounts/{account}/gbpAccount/{gbp_account}` |
| `gbpAccountId` | `string` The id of the GBP account. |
| `type` | ``enum (`Type`)`` The type of the Business Profile. |
| `gbpAccountName` | `string` The name of the Business Profile. For personal accounts: Email id of the owner. For Business accounts: Name of the Business Account. |
| `listingCount` | `string (int64 format)` Number of listings under this account. |

## Type

The type of the GBP account.

| Enums ||
|---|---|
| `TYPE_UNSPECIFIED` | Default value. This value is unused. |
| `USER` | The GBP account is a user account. |
| `BUSINESS_ACCOUNT` | The GBP account is a business account. |